## org.mortbay.jetty.servlet.jmx
Class HolderMBean

    java.lang.Object
      |
      +--org.mortbay.util.jmx.ModelMBeanImpl
            |
            +--org.mortbay.util.jmx.LifeCycleMBean
                  |
                  +--org.mortbay.jetty.servlet.jmx.HolderMBean

All Implemented Interfaces:
  javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.modelmbean.ModelMBean, javax.management.modelmbean.ModelMBeanNotificationBroadcaster, javax.management.NotificationBroadcaster, javax.management.PersistentMBean

Direct Known Subclasses:
  FilterHolderMBean, ServletHolderMBean

public class HolderMBean
extends LifeCycleMBean

Version:
  $Revision: 1.2 $
Author:
  Greg Wilkins (gregw)

Field Summary

Fields inherited from class org.mortbay.util.jmx.ModelMBeanImpl
`IMPACT_ACTION, IMPACT_ACTION_INFO, IMPACT_INFO, IMPACT_UNKOWN, INT, NO_PARAMS, OBJECT, ON_MBEAN, ON_OBJECT, READ_ONLY, READ_WRITE, STRING`

Constructor Summary
`HolderMBean()` Constructor.

Method Summary
`java.lang.String` `getInitParameters()`
`javax.management.ObjectName` `uniqueObjectName(javax.management.MBeanServer server, java.lang.String objectName)` Add an id clause to a JMX object name.

Methods inherited from class org.mortbay.util.jmx.ModelMBeanImpl

`addAttributeChangeNotificationListener, addNotificationListener, defineAttribute, defineAttribute, defineAttribute, defineAttribute, defineOperation, defineOperation, defineOperation, getAttribute, getAttributes, getBaseObjectName, getDefaultDomain, getManagedResource, getMBeanInfo, getMBeanServer, getNotificationInfo, getObjectName, invoke, load, mbeanFor, postDeregister, postRegister, preDeregister, preRegister, removeAttributeChangeNotificationListener, removeNotificationListener, sendAttributeChangeNotification, sendAttributeChangeNotification, sendNotification, sendNotification, setAttribute, setAttributes, setBaseObjectName, setDefaultDomain, setManagedResource, setModelMBeanInfo, store, uniqueObjectName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HolderMBean

    public HolderMBean()
                throws javax.management.MBeanException

  Constructor.

Throws:
  `javax.management.MBeanException`

Method Detail

### getInitParameters

    public java.lang.String getInitParameters()

### uniqueObjectName

    public javax.management.ObjectName uniqueObjectName(javax.management.MBeanServer server,
                                                        java.lang.String objectName)

  Description copied from class: `ModelMBeanImpl`
  Add an id clause to a JMX object name. Used to make unique objectnames when there are no other distinguishing attributes. If the passed object name ends with '=', just a unique ID is added. Otherwise and classname= clause is added.

  Overrides:
    `uniqueObjectName` in class `ModelMBeanImpl`
  Parameters:
    `objectName` -
  Returns:
    objectName with id= class.

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.